using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

using BookShopOnline.Model;

namespace BookShopOnline.IDal
{
    public interface IShoppingCart
    {
        int InsertShoppingCart(ShoppingCart shoppingCart);

        DataSet SelectShoppingCartByCartGuid(string cartGuid);

        int UpdateShoppingCart(ShoppingCart shoppingCart);

        int UpdateShoppingCart(IList<ShoppingCart> shoppingCartList);

        int DeleteShoppingCartByCartID(int cartID);

        int DeleteShoppingCartByCartGuid(string cartGuid);

    }
}
